# 声曲分离 (v1 版本)

**方法**: `POST`
**路径**: `/suno/generate`

将已生成的音乐进行声曲分离，分离出人声和伴奏两个音轨

## 请求参数

### Header 参数

```text
Authorization
string
可选
默认值:
Bearer {{YOUR_API_KEY}}
```

### Body 参数 application/json

```text
task
enum<string>
必需
任务类型，固定值为gen_stem
值:
gen_stem
generation_type
enum<string>
必需
生成类型，固定值为TEXT
值:
TEXT
title
string
音乐标题
必需
mv
enum<string>
必需
模型版本，固定值为chirp-auk
值:
chirp-auk
prompt
string
可选
提示词，通常为空字符串
make_instrumental
boolean
是否制作器乐版本
可选
continue_clip_id
string
必需
要进行分离的原始音乐clip_id
continued_aligned_prompt
null
可选
对齐提示词，通常为null
continue_at
null
可选
继续位置，通常为null
stem_type_id
integer
必需
分离类型ID，固定值为91
stem_type_group_name
enum<string>
必需
分离类型组名，固定值为Two
值:
Two
stem_task
enum<string>
必需
分离任务类型，固定值为two
值:
two
示例
{
"task"
:
"gen_stem"
,
"generation_type"
:
"TEXT"
,
"title"
:
"string"
,
"mv"
:
"chirp-auk"
,
"prompt"
:
"string"
,
"make_instrumental"
:
true
,
"continue_clip_id"
:
"string"
,
"continued_aligned_prompt"
:
null
,
"continue_at"
:
null
,
"stem_type_id"
:
0
,
"stem_type_group_name"
:
"Two"
,
"stem_task"
:
"two"
}
```

## 请求示例代码

### Shell

```bash
curl --location --request POST '/suno/generate' \
--header 'Authorization: Bearer {{YOUR_API_KEY}}' \
--header 'Content-Type: application/json' \
--data-raw '{
    "task": "gen_stem",
    "generation_type": "TEXT",
    "title": "string",
    "mv": "chirp-auk",
    "prompt": "string",
    "make_instrumental": true,
    "continue_clip_id": "string",
    "continued_aligned_prompt": null,
    "continue_at": null,
    "stem_type_id": 0,
    "stem_type_group_name": "Two",
    "stem_task": "two"
}'
```

## 返回响应

### 🟢 200 成功

**内容类型**: `application/json`

#### 响应结构

```text
object
```

#### 示例

```json
{}
```
